Skip to main content
POST
/
v1
/
data
/
agnt
/
companies
/
enrich
Enrich a company
curl --request POST \
  --url https://api.agntdata.dev/v1/data/agnt/companies/enrich \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifiers": {
    "domain": "stripe.com"
  }
}
'
{
  "success": true,
  "data": {
    "name": "<string>",
    "domain": "<string>",
    "description": "<string>",
    "industry": "<string>",
    "employee_count": 123,
    "employee_count_range": "<string>",
    "hq_location": "<string>",
    "founded_year": 123,
    "linkedin_url": "<string>",
    "twitter_url": "<string>",
    "technologies": "<unknown>",
    "funding": "<unknown>",
    "competitors": "<unknown>"
  },
  "meta": {
    "costCents": 123,
    "purchasedBalanceCents": 123,
    "subscriptionRemainingCents": 123,
    "cached": true,
    "latencyMs": 123,
    "priceRange": {
      "minCents": 123,
      "maxCents": 123
    },
    "budgetCents": 123,
    "budgetCentsPerRecord": 123,
    "providersAttempted": 123,
    "fieldsReturned": [
      "<string>"
    ],
    "fieldsMissing": [
      "<string>"
    ],
    "records": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://agnt.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
identifiers
object
required

Unique handles to resolve the company. Provide AT LEAST ONE of domain, name/company_name, or linkedin_url/company_linkedin_url.

fields
enum<string>[]
Available options:
name,
domain,
description,
industry,
employee_count_range,
employee_count,
hq_location,
founded_year,
linkedin_url,
twitter_url,
technologies,
funding,
competitors
max_cost_cents
number
Required range: x >= 0

Response

Company enrichment result.

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object